package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdPrivilegesDTO implements Serializable {

    private static final long serialVersionUID = 167354139764459L;

    private Integer id;

    private String privilegeName;

    private Integer privelegeObjectId;

    private String privelegeobjecttype;

    private String privelegeType;

    private Character adminOption;

    private String nativeSql;

    private String nativeKey;

    private String comments;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer schemaIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getPrivilegeName() {
    return privilegeName;
    }

        public void setPrivilegeName(String privilegeName) {
    this.privilegeName = privilegeName;
    }

        public Integer getPrivelegeObjectId() {
    return privelegeObjectId;
    }

        public void setPrivelegeObjectId(Integer privelegeObjectId) {
    this.privelegeObjectId = privelegeObjectId;
    }

        public String getPrivelegeobjecttype() {
    return privelegeobjecttype;
    }

        public void setPrivelegeobjecttype(String privelegeobjecttype) {
    this.privelegeobjecttype = privelegeobjecttype;
    }

        public String getPrivelegeType() {
    return privelegeType;
    }

        public void setPrivelegeType(String privelegeType) {
    this.privelegeType = privelegeType;
    }

        public Character getAdminOption() {
    return adminOption;
    }

        public void setAdminOption(Character adminOption) {
    this.adminOption = adminOption;
    }

        public String getNativeSql() {
    return nativeSql;
    }

        public void setNativeSql(String nativeSql) {
    this.nativeSql = nativeSql;
    }

        public String getNativeKey() {
    return nativeKey;
    }

        public void setNativeKey(String nativeKey) {
    this.nativeKey = nativeKey;
    }

        public String getComments() {
    return comments;
    }

        public void setComments(String comments) {
    this.comments = comments;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getSchemaIdFk() {
    return schemaIdFk;
    }

        public void setSchemaIdFk(Integer schemaIdFk) {
    this.schemaIdFk = schemaIdFk;
    }

}